import "./bootstrap.js";
import CMS, { init } from "netlify-cms";
import "netlify-cms/dist/cms.css";
import { ObjectPositionControl } from "../src";

const config = {
  backend: {
    name: "test-repo",
    login: false
  },
  media_folder: "assets",
  collections: [
    {
      name: "test",
      label: "Test",
      files: [
        {
          file: "test.yml",
          name: "test",
          label: "Test",
          fields: [
            {
              name: "obj",
              label: "Object",
              widget: "object",
              fields: [
                {
                  name: "ref_image",
                  label: "Image for Position",
                  widget: "image",
                  default: "/assets/test-img.jpeg"
                },
                { name: "test_widget", label: "Test Widget", widget: "test" }
              ]
            }
          ]
        }
      ]
    }
  ]
};

CMS.registerWidget("test", ObjectPositionControl);

init({ config });
